import { IssuePaperStatus } from '@/constants/enumerate';
import { PageResult, PageParams } from './common';

// 问题卷
export interface IssuePaperItem {
  id: number;
  // 科目
  subjectName: string;
  subjectCode: string;
  // 分组序号
  groupNumber: number;
  // 状态
  status: IssuePaperStatus;
  // 准考证号
  examNumber: string;
  // 密号
  secretNumber: string;
  // 姓名
  name: string;
  // 评卷员
  markLogin: string;
  // 提交时间
  markTime: string;
  // 问题类型
  problemType: string;
  // 处理人
  problemUserName: string;
  // 处理时间
  problemRestTime: string;
}
export type IssuePaperListPageRes = PageResult<IssuePaperItem>;

//
export interface IssuePaperListFilter {
  // 科目
  subjectCode: string | null;
  // 分组序号
  groupNumber: number | undefined;
  // 问题类型
  problemId?: number;
  // 状态
  status?: IssuePaperStatus;
  // 密号
  secretNumber?: string;
}

export type IssuePaperListPageParam = PageParams<IssuePaperListFilter>;

// 问题卷分类
export interface IssuePaperTypeItem {
  // 编号
  id: number;
  // 考试id
  examId: number;
  // 名称
  name: string;
  // 是否自定义
  custom: boolean;
}

export interface IssuePaperTypeUpdateParam {
  id?: number;
  examId: number;
  name: string;
  custom: boolean;
}
